<?php
###################################################################
# Administration spécial semaine de parrainage                    #
# un joueur gagne ses points + les points de ses filleuls         #
# Variables IN :                                                  #
# $MatchId : Id du match dont on donne le résultat                #
# $Result : Résultat du match au format X-Y (X et Y deux entiers) #
# $un: si = 1, on passe à la 2eme page                            #
# $deux: si = 1, on passe à la 3eme page                          #
###################################################################
include("../config.php3");
include($BIB."bib_generic.php3");

##################################
# Administration script defaults #
##################################

# pas de timeout possible quelle que soit l'action effectuée
set_time_limit($TIME_LIMIT);

# le script continue une fois qu'il est lancé,
# quel que soit l'état de la connection après
ignore_user_abort(true); 

# on récupère la date actuelle
$current_european_date = date("Y-m-d H:i:s", my_local_time());

# récup de tous les players & member Id
$players = main_db_query("SELECT Members.Id AS MId, Players.Id AS PId FROM Members LEFT JOIN Players ON Players.MemberId=Members.Id");
$res = 0;
while($player = db_fetch_array($players))
{
	# on va vérifier s'il a joué
	$row = db_fetch_array(main_db_query("SELECT * FROM Paris WHERE PlayerId='".$player['PId']."' LIMIT 0,1"));
	
	# s'il n'a pas joué
	if (!$row)
	{
		$req2 = "UPDATE Members SET IsOff='2' WHERE Id='".$player['MId']."'";
		#echo $req2."<br>";
		main_db_query($req2);

		$req2 = "UPDATE Players SET KFO='2' WHERE Id='".$player['PId']."'";
		#echo $req2."<br>";
		main_db_query($req2);
		$res++;
	}
}
echo "total : ".$res;
?>